org.apache.commons.jelly.parser

## Class EscapingExpression

- java.lang.Object
- - org.apache.commons.jelly.expression.ExpressionSupport
  - - org.apache.commons.jelly.parser.EscapingExpression

All Implemented Interfaces:
  Expression

    public class EscapingExpression
    extends ExpressionSupport

`Expression` that escapes output so that the text can appear in the PCDATA portion of XML.

Author:
  Kohsuke Kawaguchi

### Field Summary

### Fields inherited from class org.apache.commons.jelly.expression.ExpressionSupport

`EMPTY_ITERATOR`

### Fields inherited from interface org.apache.commons.jelly.expression.Expression

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`EscapingExpression(Expression base)`

### Method Summary

Methods
`Object` `evaluate(JellyContext context)` Evaluates the expression with the given context and returns the result
`String` `getExpressionText()`

### Methods inherited from class org.apache.commons.jelly.expression.ExpressionSupport

`evaluateAsBoolean, evaluateAsIterator, evaluateAsString, evaluateRecurse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EscapingExpression

    public EscapingExpression(Expression base)

### Method Detail

#### getExpressionText

    public String getExpressionText()

Returns:
  the textual representation of this expression

#### evaluate

    public Object evaluate(JellyContext context)

Description copied from interface: `Expression`
Evaluates the expression with the given context and returns the result